#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3|tr '-' '.')
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-event
Version		:	5.0
Release		:	14.8.0.0%{?dist}
Summary		:	Zope Event Publication
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	%{__python}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The zope.event package provides a simple event system.
It provides an event publishing system and a very
simple event-dispatching system on which more sophisticated
event dispatching systems can be built.
	
(For example, a type-based event dispatching system that
builds on zope.event can be found in zope.component.)

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%license LICENSE.txt
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PURE_PYTHON=1 %{__python}				\
  -m unittest discover					\
  -s %{buildroot}%{python3_sitearch}/%{aname}/%{bname}	\
  -t							\
  %{buildroot}%{python3_sitearch}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
